<?xml version="1.0" encoding="utf-8"?>
<ControllerConfig Name="EM-02">		
<Parameters>
	<Parameter Type="Group"
			   Name="Setting"
			   Caption="Настройки">
		<Parameter	
					Type="Regular"
					Name="Password" 
					Caption="Пароль/Статус пароля"
					DataType="uint"																				
					EditorType="textbox"
					Address="4302"
					ScriptOnInit="OnPasswordInit"										
					>			
		</Parameter>	
	</Parameter>
	<Parameter	
					Type="Regular"
					Name="DigitalInput" 
					Caption="Дискретный вх."
					DataType="binary"							
					ReadOnly="true"
					Updatable="true"
					Address="1301"
					BitRange="0:5">					
	</Parameter>
	<Parameter Type="Group"
			   Name="KoeffSetting"
			   Caption="Настройка коэффициентов">
	   <Parameter	
		Type="Constant"
		Name="TransKoeffAuto" 
		Caption="Автомат. заполнение коэффициентов"
		DataType="int"																				
		EditorType="combobox"
		DataList="TransKoeffAuto"									
		ScriptOnChange="OnTransKoeffAutoChange"
		>			
		</Parameter>		
		<Parameter	
					Type="Regular"
					Name="Command" 
					Caption="Регистр команд"
					DataType="int"																				
					EditorType="textbox"				
					Visible="true"
					Address="4301"
					>			
		</Parameter>	
		<Parameter	Type="ParamSet" 
					Name="TransKoeff" 
					Caption="Коэффициент трансформации"
					ChannelCount="3">	
			<Parameter	
					Type="Regular"
					Name="TransKoefNom" 
					Caption="К. трансф. (числитель) "
					DataType="uint"																				
					EditorType="textbox"
					Address="4715:4716"
					AddressInterval="4"
					>			
			</Parameter>
			<Parameter	
					Type="Regular"
					Name="TransKoefDenom" 
					Caption="К. трансф. (знаменатель) "
					DataType="uint"																				
					EditorType="textbox"
					Address="4717:4718"
					AddressInterval="4"
					>			
			</Parameter>
		</Parameter>
		<Parameter	
		Type="Constant"
		Name="Gains" 
		Caption="Установка коэф.усиления"
		DataType="int"																				
		EditorType="combobox"
		DataList="GainList"									
		ScriptOnChange="OnGainChange"
		>			
		</Parameter>
		<Parameter	Type="Regular" 
					Name="GainBits" 
					Caption="Гейн"
					DataType="binary"
					EditorType="checkbox"						
					Address="4701"					
					Visible="false"
					>	
					<BitParameters>
						<BitParameter Name="GainBit1"
							Caption="GainBit1"
							Index="8"																
							Updatable="true"
							Visible="false"
							>							
						</BitParameter>
						<BitParameter Name="GainBit2"
							Caption="GainBit2"
							Index="9"																
							Updatable="true"
							Visible="false"							
							>							
						</BitParameter>						
					</BitParameters>				
		</Parameter>
	</Parameter>
	<Parameter	Type="ParamSet" 
				Name="UI" 
				Caption="Токи и напряжения"
				ChannelCount="3">	
		<Parameter	
					Type="Regular"
					Name="Current" 
					Caption="Ток"
					DataType="float"																				
					EditorType="textbox"									
					Address="1401:1402"
					AddressInterval="2"
					>			
		</Parameter>	
		<Parameter	
					Type="Regular"
					Name="Voltage" 
					Caption="Напряжение"
					DataType="float"																				
					EditorType="textbox"									
					Address="1407:1408"
					AddressInterval="2"
					>		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="MinimumVisibleCurrent" 
					Caption="Минимальный отображаемый ток "
					DataType="float"																				
					EditorType="textbox"									
					Address="4433:4434"
					AddressInterval="2"
					>			
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="MinimumVisibleVoltage" 
					Caption="Минимальный отображаемое напряжение "
					DataType="float"																				
					EditorType="textbox"									
					Address="4439:4440"
					AddressInterval="2"
					>			
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="ActiveEnergy" 
					Caption="Активная энергия"
					DataType="float"																				
					EditorType="textbox"									
					Address="1413:1414"
					AddressInterval="2"
					>		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="TotalEnergy" 
					Caption="Полная энергия"
					DataType="float"																				
					EditorType="textbox"									
					Address="1419:1420"
					AddressInterval="2"
					>		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="ReactiveEnergy" 
					Caption="Реактивная энергия"
					DataType="float"																				
					EditorType="textbox"									
					Address="1425:1426"
					AddressInterval="2"
					>		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="CurrentActivePower" 
					Caption="Мгновенная активная мощность фазы за выбранный период"
					DataType="float"																				
					EditorType="textbox"									
					Address="1441:1442"
					AddressInterval="2"
					>		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="CurrentTotalPower" 
					Caption="Мгновенная полная мощность фазы за выбранный период"
					DataType="float"																				
					EditorType="textbox"									
					Address="1447:1448"
					AddressInterval="2">		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="CurrentReactivePower" 
					Caption="Мгновенная реактивная мощность фазы за выбранный период"
					DataType="float"																				
					EditorType="textbox"									
					Address="1453:1454"
					AddressInterval="2">		
		</Parameter>
	</Parameter>
	<Parameter	Type="ParamSet" 
				Name="CalculatingValues" 
				Caption="Значения за период"
				ChannelCount="3">	
		<Parameter	
					Type="Regular"
					Name="AverageActiveForPeriod" 
					Caption="Средняя активная мощность фазы за период"
					DataType="float"																				
					EditorType="textbox"									
					Address="1601:1602"
					AddressInterval="2"
					>			
		</Parameter>	
		<Parameter	
					Type="Regular"
					Name="AverageTotalForPeriod" 
					Caption="Средняя полная мощность фазы за период"
					DataType="float"																				
					EditorType="textbox"									
					Address="1607:1608"
					AddressInterval="2"
					>		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="AverageReactiveForPeriod" 
					Caption="Средняя реактивная мощность фазы за период"
					DataType="float"																				
					EditorType="textbox"									
					Address="1613:1614"
					AddressInterval="2"
					>			
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="MinimumVisibleVoltage" 
					Caption="Минимальный отображаемое напряжение "
					DataType="float"																				
					EditorType="textbox"									
					Address="4439:4440"
					AddressInterval="2"
					>			
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="ActiveEnergy" 
					Caption="Активная энергия"
					DataType="float"																				
					EditorType="textbox"									
					Address="1413:1414"
					AddressInterval="2"
					>		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="TotalEnergy" 
					Caption="Полная энергия"
					DataType="float"																				
					EditorType="textbox"									
					Address="1419:1420"
					AddressInterval="2"
					>		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="ReactiveEnergy" 
					Caption="Реактивная энергия"
					DataType="float"																				
					EditorType="textbox"									
					Address="1425:1426"
					AddressInterval="2"
					>		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="CurrentActivePower" 
					Caption="Мгновенная активная мощность фазы за выбранный период"
					DataType="float"																				
					EditorType="textbox"									
					Address="1441:1442"
					AddressInterval="2"
					>		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="CurrentTotalPower" 
					Caption="Мгновенная полная мощность фазы за выбранный период"
					DataType="float"																				
					EditorType="textbox"									
					Address="1447:1448"
					AddressInterval="2">		
		</Parameter>
		<Parameter	
					Type="Regular"
					Name="CurrentReactivePower" 
					Caption="Мгновенная реактивная мощность фазы за выбранный период"
					DataType="float"																				
					EditorType="textbox"									
					Address="1453:1454"
					AddressInterval="2">		
		</Parameter>
	</Parameter>
	<Parameter	
		Type="Regular"
		Name="SummaryActiveEnergy" 
		Caption="Суммарная активная энергия"
		DataType="float"																				
		EditorType="textbox"									
		Address="1431:1432">		
	</Parameter>
	<Parameter	
		Type="Regular"
		Name="SummaryTotalEnergy" 
		Caption="Суммарная полная энергия"
		DataType="float"																				
		EditorType="textbox"									
		Address="1433:1434">		
	</Parameter>
	<Parameter	
		Type="Regular"
		Name="SummaryReactiveEnergy" 
		Caption="Суммарная реактивная энергия"
		DataType="float"																				
		EditorType="textbox"									
		Address="1435:1436">		
	</Parameter>
	<Parameter	
		Type="Regular"
		Name="PowerGain" 
		Caption="Коэффициент мощности"
		DataType="float"																				
		EditorType="textbox"									
		Address="1437:1438">		
	</Parameter>
	<Parameter	
		Type="Regular"
		Name="PowerFrequency" 
		Caption="Частота питающей сети, Гц"
		DataType="float"																				
		EditorType="textbox"									
		Address="1439:1440">		
	</Parameter>
	<Parameter	
		Type="Regular"
		Name="CurrentIntervalActivePower" 
		Caption="Мгновенная активная мощность за выбранный период"
		DataType="float"																				
		EditorType="textbox"									
		Address="1459:1460">		
	</Parameter>
	<Parameter	
		Type="Regular"
		Name="CurrentIntervalTotalPower" 
		Caption="Мгновенная полная мощность за выбранный период"
		DataType="float"																				
		EditorType="textbox"									
		Address="1461:1462">		
	</Parameter>
	<Parameter	
		Type="Regular"
		Name="CurrentIntervalReactivePower" 
		Caption="Мгновенная реактивная мощность за выбранный период"
		DataType="float"																				
		EditorType="textbox"									
		Address="1463:1464">		
	</Parameter>
	<Parameter	
		Type="Regular"
		Name="SummaryCurrentTotal" 
		Caption="Суммарный ток по трём фазам, А"
		DataType="float"																				
		EditorType="textbox"									
		Address="1465:1466">		
	</Parameter>
	<Parameter	
		Type="Regular"
		Name="AverageVoltageTotal" 
		Caption="Среднее напряжение по трём фазам, В"
		DataType="float"																				
		EditorType="textbox"									
		Address="1467:1468">		
	</Parameter>
</Parameters>
<Buttons>
	<Button Name="BtnSave" Caption="Сохранить" Script="BtnSaveClick">
	</Button>
	<Button Name="BtnSetPassword" Caption="Установить стандартный пароль" Script="BtnSetPasswordClick">
	</Button>
	<Button Name="BtnSetAdminPassword" Caption="Установить админ-пароль" Script="BtnSetAdminPasswordClick">
	</Button>
	<Button Name="BtnRestart" Caption="Перезагрузить" Script="BtnRestartClick">
	</Button>
	<Button Name="BtnClear" Caption="Обнулить" Script="BtnClearClick">
	</Button>
</Buttons>
</ControllerConfig>
